Bug 73832 - lpr fails to print to local printers after dhcp is turned on
Summary: lpr fails to print to local printers after dhcp is turned on
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: LPRng (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-11 20:42 UTC by Ed Friedman
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 16:01:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ed Friedman 2002-09-11 20:42:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-10 i686)

Description of problem:
lpr fails to print to /dev/lp0 (even after making the correction to the
permissions of /dev/lp0) as soon as the /sbin/ifup eth0 command is given to
activate dhcp.  It prints to /dev/lp0 with no problems if dhcp is not activated.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Set up a local printer with printtool.
2.Print to that printer to verify that it works.
3.Turn on dhcp (/sbin/ifup eth0), then try printing
	

Actual Results:  Printing fails (it tries to send the printjob to the dhcp
hostname, then complains that it doesn't exist)

Expected Results:  Printing should work

Additional info:

Comment 1 Tim Waugh 2003-01-20 18:52:47 UTC
(Fixing component.)

Comment 2 Tim Waugh 2003-01-20 18:53:44 UTC
Please attach the output of 'printconf-tui --Xexport'.

Comment 3 Tim Waugh 2005-09-16 16:01:04 UTC
We no longer ship LPRng.


Note You need to log in before you can comment on or make changes to this bug.